# `Elfutils_jll.jl` (v0.182.0+1)

[![deps](https://juliahub.com/docs/Elfutils_jll/deps.svg)](https://juliahub.com/ui/Packages/Elfutils_jll/SV7Zj?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/ff783d4de309ff9b32fb4405be4c38b0e7301516/E/Elfutils/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `Elfutils_jll.jl` have been built from these sources:

* compressed archive: https://sourceware.org/elfutils/ftp/0.182/elfutils-0.182.tar.bz2 (SHA256 checksum: `ecc406914edf335f0b7fc084ebe6c460c4d6d5175bfdd6688c1c78d9146b8858`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/ff783d4de309ff9b32fb4405be4c38b0e7301516/E/Elfutils/bundled)

## Platforms

`Elfutils_jll.jl` is available for the following platforms:

* `Linux aarch64 {libc=glibc}` (`aarch64-linux-gnu`)
* `Linux aarch64 {libc=musl}` (`aarch64-linux-musl`)
* `Linux armv7l {call_abi=eabihf, libc=glibc}` (`armv7l-linux-gnueabihf`)
* `Linux armv7l {call_abi=eabihf, libc=musl}` (`armv7l-linux-musleabihf`)
* `Linux i686 {libc=glibc}` (`i686-linux-gnu`)
* `Linux i686 {libc=musl}` (`i686-linux-musl`)
* `Linux powerpc64le {libc=glibc}` (`powerpc64le-linux-gnu`)
* `Linux x86_64 {libc=glibc}` (`x86_64-linux-gnu`)
* `Linux x86_64 {libc=musl}` (`x86_64-linux-musl`)

## Dependencies

The following JLL packages are required by `Elfutils_jll.jl`:

* [`Bzip2_jll`](https://github.com/JuliaBinaryWrappers/Bzip2_jll.jl)
* [`XZ_jll`](https://github.com/JuliaBinaryWrappers/XZ_jll.jl)
* [`Zlib_jll`](https://github.com/JuliaBinaryWrappers/Zlib_jll.jl)
* [`argp_standalone_jll`](https://github.com/JuliaBinaryWrappers/argp_standalone_jll.jl)
* [`fts_jll`](https://github.com/JuliaBinaryWrappers/fts_jll.jl)
* [`obstack_jll`](https://github.com/JuliaBinaryWrappers/obstack_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libasm`
* `LibraryProduct`: `libdw`
* `LibraryProduct`: `libelf`
* `ExecutableProduct`: `eu_addr2line`
* `ExecutableProduct`: `eu_ar`
* `ExecutableProduct`: `eu_elfclassify`
* `ExecutableProduct`: `eu_elfcmp`
* `ExecutableProduct`: `eu_elfcompress`
* `ExecutableProduct`: `eu_elflint`
* `ExecutableProduct`: `eu_findtextrel`
* `ExecutableProduct`: `eu_make_debug_archive`
* `ExecutableProduct`: `eu_nm`
* `ExecutableProduct`: `eu_objdump`
* `ExecutableProduct`: `eu_ranlib`
* `ExecutableProduct`: `eu_readelf`
* `ExecutableProduct`: `eu_size`
* `ExecutableProduct`: `eu_stack`
* `ExecutableProduct`: `eu_strings`
* `ExecutableProduct`: `eu_strip`
* `ExecutableProduct`: `eu_unstrip`
